<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml"></html>

<head th:replace="fragments/header :: head"></head>

<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <main>
        <section class="clean-block clean-gallery dark">
            <div class="container">
                <div class="row">
                    <div class="col-md-3">
                        <div th:replace="fragments/categorybar :: categorybar(parentCategory = ${parentCategory}, currentId = ${category.category.id}, servletUrl = ${'/catalog'})"></div>
                    </div>
                    <div class="col-md-9">
                        <div class="products">
                            <div th:if="${listCategories != null}">
                                <table class="tg">
                                    <tr>
                                        <th style="width:80px">#</th>
                                        <th style="width:120px">Name</th>
                                        <th style="width:60px">Edit</th>
                                        <th style="width:60px">Delete</th>
                                    </tr>
                                    <tr th:if="${category.id != 0}">
                                        <td th:text="${category.id}"></td>
                                        <td th:if="${category.parentCategoryId == 0}"><a style="font-weight:bold"
                                                                                         href="../categories/"
                                                                                         th:text="${category.name}"></a>
                                        </td>
                                        <td th:unless="${category.parentCategoryId == 0}"><a style="font-weight:bold"
                                                                                             th:href="${category.parentCategoryId}"
                                                                                             th:text="${category.name}"></a>
                                        </td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <div th:each="category : ${listCategories}">
                                        <tr>
                                            <td th:text="${category.id}"></td>
                                            <td><a th:href="@{{id}(id=${category.id})}" th:text="${category.name}"></a>
                                            </td>
                                            <td>
                                                <a th:href="@{{parentId}/edit/{id}(id=${category.id},parentId=${category.id})}">Edit</a>
                                            </td>
                                            <td>
                                                <a th:href="@{{parentId}/remove/{id}(id=${category.id},parentId=${category.id})}">Delete</a>
                                            </td>
                                        </tr>
                                    </div>
                                </table>
                            </div>

                            <h2 th:text="${categoryForm.id == 0} ? 'Add new Category' : 'Edit Category'"></h2>

                            <form action="#" th:action="@{/categories/add}" th:object="${categoryForm}" method="post"
                                  style="margin: 1rem">
                                <div class="mb-3 row">
                                    <label for="name" class="col-sm-1 col-form-label">Name</label>
                                    <div class="col-sm-11">
                                        <input type="hidden" th:value="${categoryForm.id}" th:attr="name='id'"/>
                                        <input type="text" th:field="*{name}" id="name" th:value="${categoryForm.name}">
                                        <input type="hidden" th:value="${category.id}"
                                               th:attr="name='parentCategoryId'"/>
                                    </div>
                                </div>

                                <input type="submit" th:value="${categoryForm.id == 0} ? 'Add Category' : 'Save'">
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <footer th:replace="fragments/footer:: footer(_)"></footer>

    <script src="/static/js/jquery.min.js"></script>
    <script src="/static/js/bootstrap.min.js"></script>
    <script src="/static/js/chart.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.js"></script>
    <script src="/static/js/script.min.js"></script>
    <script src="/static/js/script.min2.js"></script>
</body>
</html>